activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jon Gorrono <jpgorr...@ucdavis.edu>
Subject Re: NoSuchMethod exception running ActiveMQ 5.10.0
Date Tue, 03 Feb 2015 03:18:25 GMT
Sounds to me like a conflicting (duplicate) or missing server-api v2.5+ jar
file

The recommendations in the accepted answer below are reasonable,
particularly #3 which is about jar duplicates.... activemq has a version
2.5 already, so if you installation has one the classloader will likely
complain like u see.

http://stackoverflow.com/questions/8611777/java-lang-nosuchmethoderror-javax-servlet-servletcontext-getcontextpathljava

On Mon, Feb 2, 2015 at 6:42 PM, artnaseef <art@artnaseef.com> wrote:

> Hmm, OpenJDK -- isn't that a kind of "pre-release" of the next gen of java?
>
> Can you try with a standard oracle java distribution?
>
>
>
> --
> View this message in context:
> http://activemq.2283324.n4.nabble.com/NoSuchMethod-exception-running-ActiveMQ-5-10-0-tp4690810p4690904.html
> Sent from the ActiveMQ - User mailing list archive at Nabble.com.
>



-- 
Jon Gorrono
PGP Key: 0x5434509D - http{
pgp.mit.edu:11371/pks/lookup?search=0x5434509D&op=index}
http{middleware.ucdavis.edu}

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message